Last Comment Bug 542454 - Upgrade mradm01 to RHEL5
: Upgrade mradm01 to RHEL5
Status: RESOLVED FIXED
02/04/2010 @ 7pm
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations (show other bugs)
: other
: All Other
: -- enhancement (vote)
: ---
Assigned To: Dave Miller [:justdave] (justdave@bugzilla.org)
: matthew zeier [:mrz]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-27 00:27 PST by Dave Miller [:justdave] (justdave@bugzilla.org)
Modified: 2015-03-12 08:17 PDT (History)
1 user (show)
mzeier: needs‑downtime+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Dave Miller [:justdave] (justdave@bugzilla.org) 2010-01-27 00:27:26 PST
The RHN Proxy got removed from mradm01 tonight, and that was the last remaining item on that box blocking us from ugprading it to RHEL5.  We should go ahead and upgrade it now.  This is our very last RHEL4 box.
Comment 1 Dave Miller [:justdave] (justdave@bugzilla.org) 2010-01-27 00:34:10 PST
FWIW, RHEL 4.8 came out in May last year.  mradm01 is still on RHEL 4.7.  It needs to be upgraded to 4.8 first before we upgrade it to 5.x.
Comment 2 Dave Miller [:justdave] (justdave@bugzilla.org) 2010-02-04 07:03:23 PST
mradm01 is now on RHEL 4.8 as of Tuesday night.

mradm01 is ns1.mozilla.org and also our nagios satellite monitor for the MPT colo.  DNS is redundant (as long as osadm01 stays online it should be fine).  We will lose all nagios monitoring for the MPT colo for the duration of the upgrade.
Comment 3 Dave Miller [:justdave] (justdave@bugzilla.org) 2010-02-04 12:02:53 PST
Scheduling this for 7pm tonight.

The upgrade itself should take about a half hour.  I expect a lot of hiccups getting stuff working in RHEL5 because this is one of our older boxes and there's been a ton of stuff installed on it, and not always via RPMs.

Nagios and BIND (DNS) should be fine, those two systems have both been installed and maintained cleanly, so they should upgrade without any problems.  I'm mostly worried about Perl modules used by cron jobs and so forth.

As mentioned above, DNS is redundant.  The scheduling of a public outage window is mainly for the benefit of folks who pay attention to the nagios monitoring.  I'll ask in the outage notice for people to report any problems anywhere in our properties that they run across during the window to us on IRC and to ping directly about any blocker bugs, and not to assume we'll get paged by nagios during that period.
Comment 4 Dave Miller [:justdave] (justdave@bugzilla.org) 2010-02-04 22:43:44 PST
All done. :)

Note You need to log in before you can comment on or make changes to this bug.